/*
	CGI Source for TextCorrect.h

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: January 29, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc version 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#ifndef __TextCorrect_h_
#define __TextCorrect_h_

#include "TextBoard.h"

class TextCorrect : public TextBoard
{
private:
	char	passwd[MAX_STRING_LEN];

public:
	TextCorrect();
	~TextCorrect();

	virtual void GetEnv();
	stat GetOpenDataFile();
	stat IsCanCorrect();
	void SetRecord();
	void GetOpenHtmlFile();
	void ShowHtmlFile();
};

#endif	/* End of TextCorrect	*/
