/*
	CGI Source for TextPost.cpp

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: April 10, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: Visual C++ 4.0
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#ifndef __TextPost_h_
#define __TextPost_h_

#include "TextBoard.h"
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <sys/timeb.h>

class TextPost : public TextBoard
{
private:
	int	cl, iIndex;
	char	hfname[255];
	char	*whdomain, *whip;
	char	*browser;
	char	whtime[20], whdate[20], szDate[50];
	time_t	tmp_time1;
	struct	tm *tmp_time2;

public:
	TextPost();
	~TextPost();

	virtual	void GetEnv();
//	virtual int  GetBoardNum();

	stat IsOkPost();
	void GetFileName();
	void ReadHeader();
	int  GetIndexText();
	int  GetLineText();

	void SetHeader();
	void SetRecord();
	//virtual int  GetTotalText();
	void ShowError();
	void MakeNewHtmlFile();
	void ShowNewHtmlFile();
	void GotoTextBoard();

	void GetRecordFromFile();
	void CorrectRecord();
	void CorrectHtmlFile();
};

#endif	/* end of TextPost */
